#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf udev-136.tar.bz2
    cd udev-136
    ./configure --prefix=/usr --exec-prefix= --sysconfdir=/etc --disable-shared
    make
    strip -R .note -R .comment udev/{test-udev,udevadm,udevd}
    mkdir -p ../udev/sbin
    cp udev/test-udev ../udev/sbin/udev
    cp udev/{udevadm,udevd} ../udev/sbin/
    cd ..
    rm -rf udev-136
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
